Ahora que la versión de BizTalk 2009 esta apunto de salir al mercado, surgen muchas dudas sobre si nuestra versión de SQL Server va a ser compatible con esta nueva versión o si tendremos que migrar nuestro motor de base de datos. Solamente, tendremos que migrar si estamos utilizando  SQL Server 2000, ya que BizTalk 2009 estará soportado para entornos con SQL Server 2005 SP3 y SQL Server 2008

Os adjunto una tabla de soportabilidad, que espero ayude a clarificar dudas:

  SQL Server 2000 SQL Server 2005 SQL Server 2008
BizTalk 2004 Si con SP3a No No
BizTalk 2006 Si con SP4 Si No
BizTalk 2006R2 Si con SP4 Si No
BizTalk 2009 No Si con SP3 SI

 

Para más información sobre compatibilidad de versiones tenemos el KB926628

Un saludo

Enrique Palomino

BizTalk Escalation Engineer